## lttng-modules 2.14.0

=== debian/changelog ===
lttng-modules (2.14.0-1ubuntu1) questing; urgency=medium

  * Support Linux 6.17 (LP: #2122419)
    - repurpose-__percpu-tag-as-a-named-address-space-qualifier.patch
    - remove-the-for_reclaim-field-from-struct-writeback_control.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Tue, 09 Sep 2025 10:20:33 +0200

lttng-modules (2.14.0-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * [e4aad43] Fix version constraint for building lttng-probe-9p
  * [a3159c8] dkms.conf: Set BUILD_EXCLUSIVE_KERNEL_MIN="3.5"

  [ Michael Jeanson ]
  * [1c1be3a] New upstream version 2.14.0
  * [8e16fa1] Refresh upstream signing key
  * [e2cbe7a] Refresh patches
  * [a579cc2] Bump standards to 4.7.2
  * [c328b79] Update git url in upstream metadata
  * [d3cd6d0] d/control: update description
  * [8068856] Update dkms config
  * [b22d162] Update debian/copyright
  * [4be4523] Add config check for 9p probe in dkms config
  * [f41cf63] d/copyright: add missing license text for CC-BY-SA-4.0
  * [d7fcfa9] Move to debhelper 13
  * [425602d] d/copyright: remove old FSF address

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 08 Aug 2025 13:34:08 -0400

=== debian/control ===
Source: lttng-modules
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
Uploaders: Michael Jeanson <mjeanson@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/lttng-modules.git
Vcs-Browser: https://salsa.debian.org/debian/lttng-modules/
Homepage: https://lttng.org
Testsuite: autopkgtest-pkg-dkms

Package: lttng-modules-dkms
Architecture: all
Depends: ${misc:Depends}
Recommends: lttng-tools
Description: Linux Trace Toolkit (LTTng) kernel modules (DKMS)
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package contains the LTTng kernel modules. These provide additional
 instrumentation (not found in the mainline kernel), the ring buffer library,
 the tracer itself, and some additional utilities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DKMS_SRC_DIR := $(CURDIR)/debian/lttng-modules-dkms/usr/src/lttng-modules-$(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_dkms:
	dh_dkms -V ${DEB_VERSION_UPSTREAM}

override_dh_auto_install:
	install -d $(DKMS_SRC_DIR)
	cp -a Makefile extra_version include scripts src $(DKMS_SRC_DIR)
	dh_auto_install

override_dh_auto_clean:
	exit 0

override_dh_auto_build:
	exit 0

## lttng-modules 2.14.1

=== debian/changelog ===
lttng-modules (2.14.1-1) unstable; urgency=medium

  * [7113e26] New upstream version 2.14.1
    - Bugfix release, adds support for v6.17
    - Fix build of v6.15+ with GCC >= 14 (Closes: #1106707)

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 10 Sep 2025 14:11:51 -0400

## lttng-modules 2.14.2

=== debian/changelog ===
lttng-modules (2.14.2-1) unstable; urgency=medium

  * [f5eab06] New upstream version 2.14.2
  * [03e8a3d] gbp.conf: Add explicit pristine-tar config

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 07 Oct 2025 11:18:52 -0400

## lttng-modules 2.14.3

=== Makefile ===
# SPDX-License-Identifier: (GPL-2.0-only or LGPL-2.1-only)
# SPDX-FileCopyrightText: 2010-2024 EfficiOS Inc.

ifneq ($(KERNELRELEASE),)

# This part of the Makefile is used when called by the kernel build system
# and defines the modules to be built.

obj-$(CONFIG_LTTNG) += src/

else # KERNELRELEASE

# This part of the Makefile is used when the 'make' command is runned in the
# base directory of the lttng-modules sources. It sets some environment and
# calls the kernel build system to build the actual modules.

KERNELDIR ?= /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)

# Experimental bitwise enum defaults to disabled.
CONFIG_LTTNG_EXPERIMENTAL_BITWISE_ENUM ?= n

# Experimental Trace Hit Counters defaults to disabled.
CONFIG_LTTNG_EXPERIMENTAL_COUNTER ?= n

# Force LTTng to use aligned access defaults to disabled.
CONFIG_LTTNG_FORCE_ALIGNED_ACCESS ?= n

# Emulate Kconfig behavior of setting defines for config options.
LKCPPFLAGS = $(KCPPFLAGS)
ifeq ($(CONFIG_LTTNG_EXPERIMENTAL_BITWISE_ENUM),y)
LKCPPFLAGS += -DCONFIG_LTTNG_EXPERIMENTAL_BITWISE_ENUM=y
endif
ifeq ($(CONFIG_LTTNG_EXPERIMENTAL_COUNTER),y)
LKCPPFLAGS += -DCONFIG_LTTNG_EXPERIMENTAL_COUNTER=y
endif
ifeq ($(CONFIG_LTTNG_FORCE_ALIGNED_ACCESS),y)
LKCPPFLAGS += -DCONFIG_LTTNG_FORCE_ALIGNED_ACCESS=y
endif

default: modules

modules:
	$(MAKE) -C $(KERNELDIR) M=$(PWD)/src \
		CONFIG_LTTNG=m CONFIG_LTTNG_CLOCK_PLUGIN_TEST=m \
		KCPPFLAGS='$(LKCPPFLAGS)' \
		modules

syscalls_extractor:
	$(MAKE) -C $(KERNELDIR) M=$(PWD)/src \
		CONFIG_LTTNG_SYSCALLS_EXTRACTOR=m \
		CONFIG_LTTNG=m CONFIG_LTTNG_CLOCK_PLUGIN_TEST=m \
		KCPPFLAGS='$(LKCPPFLAGS)' \
		modules

modules_install:
	$(MAKE) -C $(KERNELDIR) M=$(PWD)/src \
		CONFIG_LTTNG=m CONFIG_LTTNG_CLOCK_PLUGIN_TEST=m \
		KCPPFLAGS='$(LKCPPFLAGS)' \
		modules_install

clean:
	$(MAKE) -C $(KERNELDIR) M=$(PWD)/src clean

# The following targets are used for development and debugging. They are not
# part of the build system.
%.i: %.c
	$(MAKE) -C $(KERNELDIR) M=$(PWD) \
		CONFIG_LTTNG=m CONFIG_LTTNG_CLOCK_PLUGIN_TEST=m \
		KCPPFLAGS='$(LKCPPFLAGS)' \
		$@

%.o: %.c
	$(MAKE) -C $(KERNELDIR) M=$(PWD) \
		CONFIG_LTTNG=m CONFIG_LTTNG_CLOCK_PLUGIN_TEST=m \
		KCPPFLAGS='$(LKCPPFLAGS)' \
		$@

endif # KERNELRELEASE

=== debian/changelog ===
lttng-modules (2.14.3-1) unstable; urgency=medium

  * [bfd38a0] New upstream version 2.14.3
    - Fix modules loading on v6.17

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 20 Oct 2025 10:31:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lttng-modules
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
 Standards-Version: 4.7.2

## lttng-modules 2.14.4

=== debian/changelog ===
lttng-modules (2.14.4-1) unstable; urgency=medium

  * [d459c91] New upstream version 2.14.4
    - Fix build on v6.19 (Closes: #1125922)
  * [8b3d8d1] d/control: Update to new standards

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 09 Feb 2026 14:05:24 -0500

## lttng-modules 2.15.0

=== debian/changelog ===
lttng-modules (2.15.0-1) unstable; urgency=medium

  * [5716208] New upstream version 2.15.0

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 18 Feb 2026 16:53:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: lttng-modules
 Section: kernel
-Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/lttng-modules.git
 Vcs-Browser: https://salsa.debian.org/debian/lttng-modules/
 Homepage: https://lttng.org
